#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N;

    scanf("%d",&N);
    double A[N],P[N],max=0,maxP=0,sum=0;
    for(int i=0; i<N; i++)
    {
        scanf("%lf",&A[i]);
        scanf("%lf",&P[i]);
    }

    for (int i = 0; i < 100; i++)
    {
        for (int j = 0; j < N; j++)
        {
            if (P[j] >= i)
            {
                sum += A[j] * ((double)i / 100);
            }
        }
        if (max < sum)
        {
            max = sum;
            maxP = i;
        }
        sum = 0;
    }

    max = 0;
    double k = maxP;
    for(double i = k; i < k + 1; i += 0.01)
    {
        for (int j = 0; j < N; j++)
        {
            if (P[j] >= i)
            {
                sum += A[j] * ((i+0.01) / 100);
            }
        }
        if (max < sum)
        {
            max = sum;
        }
        sum = 0;
    }
    printf("%lf", max);
    return 0;
}